aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn P. Davis <zhen@gentoo.org>2004-07-12 14:25:16 +0000
committerJohn P. Davis <zhen@gentoo.org>2004-07-12 14:25:16 +0000
commit6a2caeb223270f25cbfbe6e94404568ad33a411f (patch)
treedad833c85a1df2dec687f7e2e3575a691f1fdc3f /targets/grp
parentadded some new information in NOTES, updated the TODO (diff)
downloadcatalyst-6a2caeb223270f25cbfbe6e94404568ad33a411f.tar.gz
catalyst-6a2caeb223270f25cbfbe6e94404568ad33a411f.tar.bz2
catalyst-6a2caeb223270f25cbfbe6e94404568ad33a411f.zip
coded support for the -d (debug) flag which makes catalyst display an emerge -vp list of packages
about to be merged git-svn-id: svn+ssh://svn.gentoo.org/var/svnroot/catalyst/trunk@410 d1e1f19c-881f-0410-ab34-b69fee027534
Diffstat (limited to 'targets/grp')
-rwxr-xr-xtargets/grp/grp-chroot.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/targets/grp/grp-chroot.sh b/targets/grp/grp-chroot.sh
index 6dccf316..ff4a5be6 100755
--- a/targets/grp/grp-chroot.sh
+++ b/targets/grp/grp-chroot.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/grp-chroot.sh,v 1.3 2004/06/04 14:03:46 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/grp-chroot.sh,v 1.4 2004/07/12 14:25:16 zhen Exp $
/usr/sbin/env-update
source /etc/profile
@@ -42,6 +42,12 @@ if [ "${clst_grp_type}" = "pkgset" ]
then
unset DISTDIR
export PKGDIR="/tmp/grp/${clst_grp_target}"
+
+ if [ -n "${clst_DEBUG}" ]
+ then
+ emerge --usepkg --buildpkg --noreplace -vp ${clst_grp_packages} || exit 1
+ fi
+
emerge --usepkg --buildpkg --noreplace ${clst_grp_packages} || exit 1
else
unset DISTDIR